
#include <jansson.h>


typedef struct {
  int counter;
  char *name;
} ABComm;


ABComm *appborg_init(char *name);
void appborg_free(ABComm *comm);

json_t* appborg_readEventSync(ABComm *comm);
void appborg_sendJson(ABComm *comm, char *method, char *to, json_t *info);
void appborg_respondWithJson(ABComm *comm, json_t *event, char *json_text);
void appborg_respondWithErrorJson(ABComm *comm, json_t *event, char *json_text);


void appborg_error_(ABComm *comm, char *msg);
void appborg_respond_(ABComm *comm, json_t *event, json_t *result, json_t *error);
void appborg_writeEvent_(ABComm *comm, json_t *event);
